import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Kreeft.
 */
public class Kreeft extends Actor {
    
    /**
     * Botst deze kreeft tegen de rand?
     */
    private boolean tegenDeRand() {
        return getX() == 0 || getY() == 0 ||
            getX() == getWorld().getWidth() - 1 ||
            getY() == getWorld().getHeight() - 1;
    }
    
    /**
     * Een kreeft beweegt min of meer willekeurig over het strand.
     * Als een kreeft de krab raakt, dan is het spel ten einde.
     */
    public void act() {
        move(5);
        if (tegenDeRand()) {
            turn (130);
        } else if (Greenfoot.getRandomNumber(10) == 0) {
            turn (Greenfoot.getRandomNumber(91) - 45);
        }
        
        Actor krab = getOneObjectAtOffset(0, 0, Krab.class);
        if (krab != null) {
            Greenfoot.playSound("au.wav");
            getWorld().removeObject(krab);
            Greenfoot.stop();
        }
    }    
}
